Get merchant portal settings by merchant ID (MID). Returns portal settings including loyalty program settings and Davo settings if applicable.
Get Merchant Portal Data
get /merchant-management/merchant-portal-settings/mid/{merchantId}
Parameters
merchantId required
Type
stringMinimum Length
1Example
111222333444555Loading...
Example Response
200 OK - Success response.
400 Bad Request - Error response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.
Update Merchant Portal Data
patch /merchant-management/merchant-portal-settings/mid/{merchantId}
Update merchant portal settings by merchant ID (MID). Only fields provided in the request body will be updated; other fields will remain unchanged. To remove optional settings, set their values to null.
Parameters
merchantId required
Type
stringMinimum Length
1Example
111222333444555Loading...
Request Schema
davoSettings
Type
objectLoading...
loyaltyProgramSettings
Type
objectLoading...
portalSettings
Type
objectLoading...
Example Request
Example Response
200 OK - Success response
400 Bad Request - Error response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.